Bug 243980 - astro/gpsd: Update to 3.20
Summary: astro/gpsd: Update to 3.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL: https://gitlab.com/gpsd/gpsd/-/blob/m...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-08 14:44 UTC by Loïc Bartoletti
Modified: 2020-03-13 08:23 UTC (History)
0 users

See Also:
lbartoletti: maintainer-feedback-


Attachments
gpsd 3.20 (7.44 KB, patch)
2020-02-08 14:44 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2020-02-08 14:44:50 UTC
Created attachment 211473 [details]
gpsd 3.20

astro/gpsd: Update to 3.20

 * Update to 3.20 (welcome ubxtool and gpsrinex!)
 * Fix SConstruct per python3 [1]
 * Replace spaces by tabs

 Changelog:

   https://gitlab.com/gpsd/gpsd/-/blob/master/NEWS#L16

 [1] scons is py27 only and check py27 packages for a py37 port. I commented these tests in SConstruct since we already do it in our Makefile.
 [1] Upstream reference URL (pull request, issue, mailing list)

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11/12/13, i386/amd64 tested)
Comment 1 Bugzilla Automation freebsd_committer 2020-02-08 14:44:50 UTC
Maintainer informed via mail
Comment 2 Automation User 2020-02-08 15:21:40 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/116135254
Comment 3 commit-hook freebsd_committer 2020-03-11 08:27:05 UTC
A commit references this bug:

Author: lbartoletti
Date: Wed Mar 11 08:26:06 UTC 2020
New revision: 528219
URL: https://svnweb.freebsd.org/changeset/ports/528219

Log:
  astro/gpsd: Update to 3.20

    - Update to 3.20 (welcome ubxtool and gpsrinex!)
    - Fix SConstruct per python3 [1]
    - Replace spaces by tabs (pet portlint)
    - Fixes astro/foxtrotgps, astro/gpxloggerd and comms/direwolf

    Changelog:
    - https://gitlab.com/gpsd/gpsd/-/blob/master/NEWS#L16

  [1] scons is py27 only and check py27 packages for a py37 port. I commented these tests in SConstruct since we already do it in our Makefile.

  PR:	243980
  Reviewed by:	tcberner (mentor)
  Approved by:	tcberner (mentor), maintainer timeout (z7dr6ut7gs@snkmail.com, > 2 weeks)
  Differential Revision:	https://reviews.freebsd.org/D23920

Changes:
  head/astro/foxtrotgps/Makefile
  head/astro/foxtrotgps/files/patch-src_gps__functions.c
  head/astro/gpsd/Makefile
  head/astro/gpsd/distinfo
  head/astro/gpsd/files/patch-SConstruct
  head/astro/gpsd/pkg-plist
  head/astro/gpxloggerd/Makefile
  head/astro/gpxloggerd/files/patch-gpxloggerd.c
  head/comms/direwolf/Makefile
  head/comms/direwolf/files/patch-dwgpsd.c